Summary: Bidirectional data relay between two data channels ('netcat++')
Name: socat
Version: 1.7.2.1
Release: 1%{?dist}.art.art
License: GPL
Url:  http://www.dest-unreach.org/%{name}
Source: http://www.dest-unreach.org/socat/download/%{name}-%{version}.tar.gz
Patch1: socat-1.7.2.1-errqueue.patch
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: openssl-devel readline-devel ncurses-devel
BuildRequires: kernel-headers >= 2.6.18

%description
Socat is a relay for bidirectional data transfer between two independent data
channels. Each of these data channels may be a file, pipe, device (serial line
etc. or a pseudo terminal), a socket (UNIX, IP4, IP6 - raw, UDP, TCP), an
SSL socket, proxy CONNECT connection, a file descriptor (stdin etc.), the GNU
line editor (readline), a program, or a combination of two of these. 


%prep
%setup -q 
iconv -f iso8859-1 -t utf-8 CHANGES > CHANGES.utf8
mv CHANGES.utf8 CHANGES
%patch1 -p1

%build
%configure  \
        --enable-help --enable-stdio \
        --enable-fdnum --enable-file --enable-creat \
        --enable-gopen --enable-pipe --enable-termios \
        --enable-unix --enable-ip4 --enable-ip6 \
        --enable-rawip --enable-tcp --enable-udp \
        --enable-listen --enable-proxy --enable-exec \
        --enable-system --enable-pty --enable-readline \
        --enable-openssl --enable-sycls --enable-filan \
        --enable-retry --enable-libwrap

chmod 644 *.sh
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc BUGREPORTS CHANGES DEVELOPMENT EXAMPLES FAQ PORTING
%doc COPYING* README SECURITY testcert.conf doc/*.html
%doc daemon.sh ftp.sh gatherinfo.sh mail.sh proxy.sh 
%doc proxyecho.sh readline.sh readline-test.sh
%doc socks4echo.sh socks4a-echo.sh test.sh
%{_bindir}/socat
%{_bindir}/filan
%{_bindir}/procan
%doc %{_mandir}/man1/socat.1*

%changelog
* Wed May 23 2012 Paul Wouters <pwouters@redhat.com> - 1.7.2.1-1
- Updated to 1.7.2.1 for CVE-2012-0219, rhbz#821554, rhbz#821688
- Remove patch merged upstream
- Remove --disable-fips from configure
- Added socat-1.7.2.1-errqueue.patch

* Sat Jan 07 2012 Paul Wouters <paul@nohats.ca> - 1.7.2.0-2
- Patch configure to check errqueue.h for linux/types.h inclusion

* Sat Jan 07 2012 Paul Wouters <paul@nohats.ca> - 1.7.2.0-1
- Upgraded to 1.7.2.0 which allows tun/tap interfaces without IP address
  and introduces options openssl-compress and max-children. 

* Mon Aug 23 2010 Paul Wouters <paul@xelerance.com> - 1.7.1.3-1
- Upgrade to 1.7.1.3
- Includes fix for CVE-2010-2799 Stack overflow by lexical scanning of nested
  character patterns
- Resolves https://bugzilla.redhat.com/show_bug.cgi?id=620430

* Sat Jan 30 2010 Paul Wouters <paul@xelerance.com> - 1.7.1.2-1
- Upgraded to 1.7.1.2

* Mon Feb 19 2007 Paul Wouters <paul@xelerance.com> 1.5.0.0-5
- Some filesystem defines moved from their specific (ext2)
  filesystem defines into the generic <linux/fs.h>.

* Mon Sep 11 2006 Paul Wouters <paul@xelerance.com> 1.5.0.0-3
- Rebuild requested for PT_GNU_HASH support from gcc

* Sun Aug 20 2006 Paul Wouters <paul@xelerance.com> - 1.5.0.0-2
- Added missing examples to doc section and removed execute bits.

* Fri Aug 04 2006 Paul Wouters <paul@xelerance.com> - 1.5.0.0-1
- Updated to 1.5.0.0
- removed version cut/mversion, since source untars properly now.

* Tue May 09 2006 Paul Wouters <paul@xelerance.com> - 1.4.3.1-1
- Updated to 1.4.3.1

* Thu Jan 26 2006 Paul Wouters <paul@xelerance.com> 1.4.3.0-2
- Removed DESTDIR export and fixed two capitals

* Thu Jan 26 2006 Paul Wouters <paul@xelerance.com> 1.4.3.0-1
- Initial version based on Pascal Bleser <guru@unixtech.be> suse rpm
